local curScreen = Var "LoadingScreen"

local isEx = ShouldUseEXGraphics()
local fileAppend = isEx and "ex_" or ""

return Def.ActorFrame{
	-- Def.Quad{
		-- OnCommand=function(self)
			-- self:zoomto(284,36):diffuse(LocalBlueColor(1))
		-- end
	-- },
	-- Def.Quad{
		-- OnCommand=function(self)
			-- self:zoomto(280,32):diffuse(LocalBlueColor(0))
		-- end
	-- },
	LoadActor(fileAppend .. "songback"),
	Def.BitmapText {
		Font = "Common Normal",
		InitCommand=cmd(zoom,0.3;maxwidth,276 / 0.3;maxheight,28 / 0.3;wrapwidthpixels,276 / 0.3;strokecolor,Color.Black),
		CurrentSongChangedMessageCommand=cmd(playcommand,"Refresh"),
		RefreshCommand=function(self)
			local song = GAMESTATE:GetCurrentSong()
			
			local songText = "???"
			
			if song then
				songText = song:FormattedSongTitleAndArtist()
			end
			
			self:settext(songText)
			--self:playcommand( "On" )
		end
	}
}
